Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class PropertyVetoException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.beans.PropertyVetoException

All Implemented Interfaces:
  Serializable

public class PropertyVetoException
extends Exception

A PropertyVetoException is thrown when a proposed change to a property represents an unacceptable value.

See Also:
  Serialized Form

Constructor Summary
`PropertyVetoException(String mess, PropertyChangeEvent evt)` Constructs a `PropertyVetoException` with a detailed message.

Method Summary
`PropertyChangeEvent` | `getPropertyChangeEvent()` Gets the vetoed `PropertyChangeEvent`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyVetoException

    public PropertyVetoException(String mess,
                                 PropertyChangeEvent evt)

  Constructs a `PropertyVetoException` with a detailed message.
  Parameters:
    `mess` - Descriptive message
    `evt` - A PropertyChangeEvent describing the vetoed change.

Method Detail

### getPropertyChangeEvent

    public PropertyChangeEvent getPropertyChangeEvent()

  Gets the vetoed `PropertyChangeEvent`.
  Returns:
    A PropertyChangeEvent describing the vetoed change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.